{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ACAD_CODE_BAC; 
            externalType = VARCHAR2; 
            name = acadCodeBac; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = BAC_CODE; 
            externalType = VARCHAR2; 
            name = bacCode; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_DEPARTEMENT_ETAB_BAC; 
            externalType = VARCHAR2; 
            name = cDepartementEtabBac; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_DEPARTEMENT_PARENT; 
            externalType = VARCHAR2; 
            name = cDepartementParent; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_PAYS_ETAB_BAC; 
            externalType = VARCHAR2; 
            name = cPaysEtabBac; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = CAND_NUMERO; 
            externalType = NUMBER; 
            name = candNumero; 
            precision = 32; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETAB_CODE_BAC; 
            externalType = VARCHAR2; 
            name = etabCodeBac; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETAB_CODE_SUP; 
            externalType = VARCHAR2; 
            name = etabCodeSup; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_ANBAC; 
            externalType = NUMBER; 
            name = etudAnbac; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_ANNEE_1INSC_SUP; 
            externalType = NUMBER; 
            name = etudAnnee1InscSup; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_ANNEE_1INSC_ULR; 
            externalType = NUMBER; 
            name = etudAnnee1InscUlr; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_ANNEE_1INSC_UNIV; 
            externalType = NUMBER; 
            name = etudAnnee1InscUniv; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_CODE_INE; 
            externalType = VARCHAR2; 
            name = etudCodeIne; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_REIMMATRICULATION; 
            externalType = VARCHAR2; 
            name = etudReimmatriculation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = ETUD_SITFAM; 
            externalType = NUMBER; 
            name = etudSitfam; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_SN_ATTESTATION; 
            externalType = NUMBER; 
            name = etudSnAttestation; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_SN_CERTIFICATION; 
            externalType = NUMBER; 
            name = etudSnCertification; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_SPORT_HN; 
            externalType = NUMBER; 
            name = etudSportHn; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_VILLE_BAC; 
            externalType = VARCHAR2; 
            name = etudVilleBac; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = MENT_CODE; 
            externalType = VARCHAR2; 
            name = mentCode; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PRO_CODE; 
            externalType = VARCHAR2; 
            name = proCode; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = THEB_CODE; 
            externalType = VARCHAR2; 
            name = thebCode; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (etudNumero); 
    className = EOGenericRecord; 
    classProperties = (
        etudNumero, 
        noIndividu, 
        bacCode, 
        etabCodeBac, 
        etudCodeIne, 
        mentCode, 
        cDepartementParent, 
        proCode, 
        etudSitfam, 
        etudAnbac, 
        etudSportHn, 
        etudAnnee1InscUlr, 
        etudAnnee1InscUniv, 
        etabCodeSup, 
        candNumero, 
        cDepartementEtabBac, 
        cPaysEtabBac, 
        etudVilleBac, 
        etudReimmatriculation, 
        thebCode, 
        acadCodeBac, 
        dCreation, 
        dModification, 
        etudAnnee1InscSup, 
        etudSnAttestation, 
        etudSnCertification
    ); 
    externalName = GRHUM.ETUDIANT; 
    fetchSpecificationDictionary = {}; 
    name = GrhumEtudiant; 
    primaryKeyAttributes = (etudNumero); 
}
